CharType (Lucene 10.5.1 smartcn API)
Description: declaration: package: org.apache.lucene.analysis.cn.smart, class: CharType

Package org.apache.lucene.analysis.cn.smart

# Class CharType

java.lang.Object
org.apache.lucene.analysis.cn.smart.CharType

public class CharType extends Object
Internal SmartChineseAnalyzer character type constants.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DELIMITER`
  Punctuation Characters
  `static final int`
  `DIGIT`
  Numeric Digits
  `static final int`
  `FULLWIDTH_DIGIT`
  Full-Width alphanumeric characters
  `static final int`
  `FULLWIDTH_LETTER`
  Full-Width letters
  `static final int`
  `HANZI`
  Han Ideographs
  `static final int`
  `LETTER`
  Letters
  `static final int`
  `OTHER`
  Other (not fitting any of the other categories)
  `static final int`
  `SPACE_LIKE`
  Characters that act as a space
  `static final int`
  `SURROGATE`
  Surrogate character

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharType()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DELIMITER

    public static final int DELIMITER
    Punctuation Characters
    See Also:
      - Constant Field Values

  - ### LETTER

    public static final int LETTER
    Letters
    See Also:
      - Constant Field Values

  - ### DIGIT

    public static final int DIGIT
    Numeric Digits
    See Also:
      - Constant Field Values

  - ### HANZI

    public static final int HANZI
    Han Ideographs
    See Also:
      - Constant Field Values

  - ### SPACE_LIKE

    public static final int SPACE_LIKE
    Characters that act as a space
    See Also:
      - Constant Field Values

  - ### FULLWIDTH_LETTER

    public static final int FULLWIDTH_LETTER
    Full-Width letters
    See Also:
      - Constant Field Values

  - ### FULLWIDTH_DIGIT

    public static final int FULLWIDTH_DIGIT
    Full-Width alphanumeric characters
    See Also:
      - Constant Field Values

  - ### OTHER

    public static final int OTHER
    Other (not fitting any of the other categories)
    See Also:
      - Constant Field Values

  - ### SURROGATE

    public static final int SURROGATE
    Surrogate character
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CharType

    public CharType()